Loading...
Searching...
No Matches
restinio::http_field_parsers::content_disposition_details::ext_token_producer_t Class Reference

A producer for token that is an "extended parameter name" in sense of RCF6266 and RCF5987. More...

`#include <content-disposition.hpp>`

Inheritance diagram for restinio::http_field_parsers::content_disposition_details::ext_token_producer_t:

## Public Member Functions

RESTINIO_NODISCARD expected_t< result_type, parse_error_t > | try_parse (ep_impl::source_t &from) const
Public Member Functions inherited from restinio::http_field_parsers::impl::token_producer_t
RESTINIO_NODISCARD expected_t< result_type, parse_error_t > | try_parse (source_t &from) const

## Additional Inherited Members

Public Types inherited from restinio::easy_parser::impl::producer_tag< std::string >
using | result_type = std::string
Static Public Attributes inherited from restinio::easy_parser::impl::producer_tag< std::string >
static constexpr entity_type_t | entity_type

## Detailed Description

A producer for token that is an "extended parameter name" in sense of RCF6266 and RCF5987.

An extended parameter name has '*' symbol at the end.

See: https://tools.ietf.org/html/rfc5987#section-3.2 and https://tools.ietf.org/html/rfc6266#section-4.1

Since
  v.0.6.1

Definition at line 87 of file content-disposition.hpp.

## Member Function Documentation

## try_parse()

RESTINIO_NODISCARD expected_t< result_type, parse_error_t > restinio::http_field_parsers::content_disposition_details::ext_token_producer_t::try_parse | ( | ep_impl::source_t & | from | ) | const

inline

Definition at line 93 of file content-disposition.hpp.

The documentation for this class was generated from the following file:

- restinio/helpers/http_field_parsers/content-disposition.hpp